#!/usr/bin/ruby
# -*- coding: utf-8 -*-

#------ 受付一覧取得


require 'uri'
require 'net/http'

Net::HTTP.version_1_2

HOST = "localhost"
PORT = "8000"
USER = "ormaster"
PASSWD = "ormaster"
CONTENT_TYPE = "application/xml"


req = Net::HTTP::Post.new("/api01rv2/acceptlstv2?class=01")
# class :01 受付中（会計待ち対象）
# class :02 会計済（会計済み対象）
# class :03 全受付対象
#
#
BODY = <<EOF
<data>
	<acceptlstreq type="record">
		<Acceptance_Date type="string">2012-12-05</Acceptance_Date>
		<Department_Code type="string">01</Department_Code>
		<Physician_Code type="string">10001</Physician_Code>
		<Medical_Information type="string"></Medical_Information>
	</acceptlstreq>
</data>
EOF


req.content_length = BODY.size
req.content_type = CONTENT_TYPE
req.body = BODY
req.basic_auth(USER, PASSWD)
  puts req.body

Net::HTTP.start(HOST, PORT) {|http|
  res = http.request(req)
  puts res.body
}

